| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
TBBMessageSvc::StatusCodeMessage Class Reference

Specialized class to report a StatusCode message. More...

Inheritance diagram for TBBMessageSvc::StatusCodeMessage:
[legend]
Collaboration diagram for TBBMessageSvc::StatusCodeMessage:
[legend]

## Public Member Functions
| StatusCodeMessage (TBBMessageSvc &svc, const StatusCode &sc, const std::string &source)
virtual void | run () override
| Method to be implemented by the actual task classes. More...
Public Member Functions inherited from TBBMessageSvc::MessageTaskCommon
| MessageTaskCommon (TBBMessageSvc &svc)
Public Member Functions inherited from Gaudi::SerialTaskQueue::WorkItem
virtual | ~WorkItem ()

## Private Attributes
StatusCode | m_sc
std::string | m_source

## Additional Inherited Members
Protected Attributes inherited from TBBMessageSvc::MessageTaskCommon
TBBMessageSvc & | m_svc
std::thread::id | m_sender

## Detailed Description

Specialized class to report a StatusCode message.

Definition at line 90 of file TBBMessageSvc.h.

## Constructor & Destructor Documentation

TBBMessageSvc::StatusCodeMessage::StatusCodeMessage | ( | TBBMessageSvc & | svc,
|  | const StatusCode & | sc,
|  | const std::string & | source
| ) |  |
| inline

Definition at line 92 of file TBBMessageSvc.h.

92 :
93 MessageTaskCommon(svc),
94 m_sc(sc),
95 m_source(source) {}
TBBMessageSvc::MessageTaskCommon::MessageTaskCommon
MessageTaskCommon(TBBMessageSvc &svc)
Definition: TBBMessageSvc.h:53
TBBMessageSvc::StatusCodeMessage::m_sc
StatusCode m_sc
Definition: TBBMessageSvc.h:100
TBBMessageSvc::StatusCodeMessage::m_source
std::string m_source
Definition: TBBMessageSvc.h:101

## Member Function Documentation

virtual void TBBMessageSvc::StatusCodeMessage::run | ( |  | ) |
| inline override virtual

Method to be implemented by the actual task classes.

Implements Gaudi::SerialTaskQueue::WorkItem.

Definition at line 96 of file TBBMessageSvc.h.

96 {
97 m_svc.i_reportMessage(m_sc, m_source);
98 }
MessageSvc::i_reportMessage
virtual void i_reportMessage(const Message &msg, int outputLevel)
Internal implementation of reportMessage(const Message&,int) without lock.
Definition: MessageSvc.cpp:350
TBBMessageSvc::MessageTaskCommon::m_svc
TBBMessageSvc & m_svc
Definition: TBBMessageSvc.h:57
TBBMessageSvc::StatusCodeMessage::m_sc
StatusCode m_sc
Definition: TBBMessageSvc.h:100
TBBMessageSvc::StatusCodeMessage::m_source
std::string m_source
Definition: TBBMessageSvc.h:101

## Member Data Documentation

StatusCode TBBMessageSvc::StatusCodeMessage::m_sc
| private

Definition at line 100 of file TBBMessageSvc.h.

std::string TBBMessageSvc::StatusCodeMessage::m_source
| private

Definition at line 101 of file TBBMessageSvc.h.

The documentation for this class was generated from the following file:

- GaudiCoreSvc/src/MessageSvc/TBBMessageSvc.h